# TODO: enable pulseaudio support

Summary:       The Enlightenment window manager, DR16
Name:          e16
Version:       1.0.8
Release:       1%{?dist}
License:       MIT with advertising and GPLv2+
Group:         User Interface/Desktops
URL:           http://www.enlightenment.org/
Source0:       http://downloads.sourceforge.net/enlightenment/e16-%{version}.tar.gz
BuildRequires: imlib2-devel freetype-devel xorg-x11-xbitmaps
BuildRequires: esound-devel alsa-lib-devel audiofile-devel
BuildRequires: libXrandr-devel libSM-devel xorg-x11-proto-devel
BuildRequires: libXfixes-devel libXrender-devel libXdamage-devel
BuildRequires: libXcomposite-devel libXft-devel libXxf86vm-devel
BuildRequires: pango-devel dbus-devel desktop-file-utils
Requires:      dejavu-sans-fonts
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Enlightenment is a window manager for the X Window System that is
designed to be powerful, extensible, configurable and pretty darned
good looking! It is one of the more graphically intense window
managers.

Enlightenment goes beyond managing windows by providing a useful and
appealing graphical shell from which to work. It is open in design and
instead of dictating a policy, allows the user to define their own
policy, down to every last detail.

This package will install the Enlightenment window manager, development
release 16.

%prep
%setup -q

%build
%configure --enable-pango   \
           --enable-mans    \
           --enable-modules \
           --enable-visibility-hiding
%{__make} %{?_smp_mflags}
for f in ChangeLog AUTHORS ; do
    mv $f $f.iso88591
    iconv -o $f -f iso88591 -t utf8 $f.iso88591
    rm -f $f.iso88591
done

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
%{__rm} -f %{buildroot}%{_libdir}/%{name}/libhack*.{a,la} 
%{__chmod} 0644 %{buildroot}%{_datadir}/%{name}/themes/winter/ABOUT/MAIN

# Vera -> DejaVu
%{__rm} -f %{buildroot}%{_datadir}/%{name}/fonts/COPYRIGHT.Vera
%{__rm} -f %{buildroot}%{_datadir}/%{name}/fonts/*.ttf
%{__ln_s}  ../../fonts/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/fonts/normal.ttf
%{__ln_s}  ../../fonts/dejavu/DejaVuSans-Bold.ttf %{buildroot}%{_datadir}/%{name}/fonts/bold.ttf

# Remove unwanted files
find %{buildroot}%{_libdir}/e16 -name lib*.la -delete
%{__rm} -rf %{buildroot}%{_datadir}/doc/%{name}

# Desktop file
%{__rm} -f %{buildroot}%{_datadir}/applications/%{name}.desktop
%{__cp} %{buildroot}%{_datadir}/e16/misc/e16.desktop-app \
    %{buildroot}%{_datadir}/applications/%{name}.desktop 
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop 

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -) 
%doc AUTHORS ChangeLog COMPLIANCE COPYING TODO 
%doc docs/e16.html
%{_bindir}/e*
%{_bindir}/starte16
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so
%{_datadir}/%{name}
%{_datadir}/xsessions/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Jul 10 2011 Terje Rosten <terjeros@phys.ntnu.no> - 1.0.8-1
- 1.0.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 29 2011 Terje Rosten <terjeros@phys.ntnu.no> - 1.0.7-1
- 1.0.7

* Sun Feb 14 2010 Terje Rosten <terjeros@phys.ntnu.no> - 1.0.2-1
- 1.0.2
- Add DSO patch

* Mon Dec 07 2009 Terje Rosten <terjeros@phys.ntnu.no> - 1.0.1-1
- 1.0.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.8.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.15-2
- More font work

* Thu Jan  8 2009 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.15-1
- 0.16.8.15

* Sun Dec 28 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.14-4
- Various hacks (fonts dir, %%pretrans) to make update smooth

* Sat Dec 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.14-3
- Use Dejavu fonts

* Thu Dec 25 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.14-2
- Fix bz #473646
- Move font req.

* Fri Aug 22 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.14-1
- 0.16.8.14

* Fri May  2 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.13-2
- Rebuild

* Fri May  2 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.13-1
- 0.16.8.13

* Tue Mar 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.12-3
- Disable dbus

* Mon Mar 24 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.12-2
- Really fix license

* Sun Mar 23 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.12-1
- 0.16.8.12
- fix license (thanks spot and kevin!)
- enable dbus and pango
- simplity setup and modify desc
- try to preserve timestamps

* Wed Oct 17 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.10-1
- 0.16.8.10
- libhack has moved to e16 subdir

* Mon Sep 17 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.9-2
- Add GPLv2+ to license
- Add some X devel package to buildreq
- Fix encoding on ChangeLog and AUTHORS
- Use fonts included in bitstream-vera-fonts

* Mon Aug 20 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.9-1
- Initial build (based on upstream spec, thanks!)
